Skip to main content
POST
/
v2
/
loyalties
/
programs
/
{programId}
/
rewards
/
batch
Error
A valid request URL is required to generate request examples
{
  "assigned": [
    {
      "reward_id": "<string>",
      "stock": {
        "limited": {
          "quantity": 4503599627370495
        }
      },
      "redeemed": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "object": "<string>"
    }
  ],
  "unassigned": [
    {
      "reward_id": "<string>",
      "stock": {
        "limited": {
          "quantity": 4503599627370495
        }
      },
      "redeemed": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "object": "<string>"
    }
  ]
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique program identifier.

Pattern: ^lprg_[a-f0-9]+$

Body

application/json

Batch of reward assignment operations. unassign operations are processed before assign operations. Duplicate ids within a batch are rejected.

assign
object[] | null

Rewards to assign, each with its stock configuration.

Maximum array length: 10
unassign
object[] | null

Rewards to unassign.

Maximum array length: 10

Response

Batch processing result.

Result of a reward assignment batch. Keys are null when the corresponding operation list was not provided.

assigned
object[] | null

Assignments created by the batch, or null when no assign operations were requested.

unassigned
object[] | null

Assignments removed by the batch, or null when no unassign operations were requested.

Last modified on July 10, 2026